For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList businesses
        • POSTCreate a business
        • GETRetrieve a business
        • PATCHUpdate a business
        • GETRetrieve a business PDF
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationBusinesses

List businesses

GET
https://api.middesk.com/v1/businesses
GET
/v1/businesses
$curl https://api.middesk.com/v1/businesses \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "object": "list",
3 "has_more": true,
4 "data": [
5 {
6 "object": "business",
7 "id": "id",
8 "name": "name",
9 "status": "open",
10 "created_at": "2024-01-15T09:30:00Z",
11 "updated_at": "2024-01-15T09:30:00Z",
12 "external_id": "external_id",
13 "unique_external_id": "unique_external_id",
14 "tags": [
15 "tags"
16 ],
17 "review": {
18 "object": "review",
19 "id": "id",
20 "created_at": "2024-01-15T09:30:00Z",
21 "updated_at": "2024-01-15T09:30:00Z",
22 "tasks": [
23 {
24 "category": "bankruptcies",
25 "key": "location_frequency",
26 "label": "Politically Exposed Persons",
27 "message": "message",
28 "name": "name",
29 "status": "success",
30 "sub_label": "sub_label",
31 "sources": [
32 {
33 "id": "id",
34 "type": "type",
35 "metadata": {
36 "key": "value"
37 }
38 }
39 ]
40 }
41 ]
42 },
43 "assignee": {
44 "object": "user",
45 "id": "id",
46 "name": "name",
47 "email": "email",
48 "roles": [
49 "roles"
50 ],
51 "created_at": "2024-01-15T09:30:00Z"
52 },
53 "website": {
54 "object": "website"
55 },
56 "orders": [
57 {
58 "object": "order",
59 "id": "id",
60 "status": "created",
61 "business_id": "business_id",
62 "product": "identity",
63 "created_at": "2024-01-15T09:30:00Z",
64 "updated_at": "2024-01-15T09:30:00Z"
65 }
66 ]
67 }
68 ],
69 "total_count": 1
70}
Was this page helpful?

Create a business

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

businesses list
objectstring
has_moreboolean
datalist of objects
total_countinteger